/**---------------------------------------------------------------------------
 ** 
 ** tran_dcl.h -- Function declarations for TRANSECT NBP 
 ** 
 ** Author          : Pierre Jaccard
 ** Created On      : 1999/07/06 17:13:02
 ** Last Modified By: Pierre Jaccard
 ** Last Modified On: 1999/07/06 17:37:36
 ** Update Count    : 8
 ** Directory       : /home/pego/pcd1/codas3.1/adcp/tran_nbp/
 ** Version         : 0.0
 ** Status          : Unknown
 ** ---------------------------------------------------------------------- ** 
 ** DESCRIPTION: 
 ** 
 **    This is a copy of file tran_dcl.h found for TRANSECT BBP. 
 ** 
 ** ---------------------------------------------------------------------- ** 
 ** REVISIONS: 
 ** ---------------------------------------------------------------------- ** 
 ** CHANGES: 
 **------------------------------------------------------------------------**/

#if PROTOTYPE_ALLOWED

/* loadtnbp.c */
/*
void load_data(FILE *fpcnt);
*/
int add_block_variables(DB_ENSEMBLE_TYPE *db_ens);
int add_profile_variables(DB_ENSEMBLE_TYPE *db_ens, NBP_ENSEMBLE_TYPE *ens);
int get_prof_time(YMDHMS_TIME_TYPE *ptime, NBP_ENSEMBLE_TYPE *ens,
                  long next_ens_start_seconds);

/* t2db_nbp.c */
void fill_ancil1(ANCILLARY_1_TYPE *a, NBP_ENSEMBLE_TYPE *ens);
void fill_ancil2(ANCILLARY_2_TYPE *a, NBP_ENSEMBLE_TYPE *ens);
void fill_config1(CONFIGURATION_1_TYPE *c, NBP_CONFIGURATION_TYPE *bbp_conf);
void fill_bt(BOTTOM_TRACK_TYPE *bt, NBP_LEADER_TYPE *ld);
void fill_nav(NAVIGATION_TYPE *n, NBP_ENSEMBLE_TYPE *ens);
/* initadcp.c */
void init_ancil1(ANCILLARY_1_TYPE *a);
void init_ancil2(ANCILLARY_2_TYPE *a);
void init_access_var(ACCESS_VARIABLES_TYPE *acc);
/* tsub_nbp.c */
/*
void set_depth(DB_ENSEMBLE_TYPE *db_ens, NBP_ENSEMBLE_TYPE *ens);
*/
int set_block_comments(DB_ENSEMBLE_TYPE *db_ens, NBP_ENSEMBLE_TYPE *ens);
/* read_nbp.c */
/*
int read_header(FILE *fp, BBP_HEADER_TYPE *header, long *ens_start);
int read_configuration(FILE *fp, BBP_ENSEMBLE_TYPE *ens);
int read_leader(FILE *fp, BBP_ENSEMBLE_TYPE *ens);
int read_velocity(FILE *fp, BBP_ENSEMBLE_TYPE *ens);
int read_amp(FILE *fp, BBP_ENSEMBLE_TYPE *ens);
int read_pgood(FILE *fp, BBP_ENSEMBLE_TYPE *ens);
*/
int read_ensemble(FILE *fp, NBP_ENSEMBLE_TYPE *ens, DB_ENSEMBLE_TYPE *db_ens);
#else
/* loadtnbp.c */
/*
void load_data();
*/
int add_block_variables();
int add_profile_variables();
int get_prof_time_BB();

/* t2db_nbp.c */
void fill_ancil1();
void fill_ancil2();
void fill_config1();
void fill_bt();
void fill_nav();
/* initadcp.c */
void init_ancil1();
void init_ancil2();
void init_access_var();
/* tsub_nbp.c */
/*
void set_depth();
*/
int set_block_comments();
/* read_nbp.c */
/*
int read_header();
int read_configuration();
int read_leader();
int read_velocity();
int read_amp();
int read_pgood();
*/
int read_ensemble();
#endif

